Bug 28631 - Holds History title link returns "not found" error
Summary: Holds History title link returns "not found" error
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords: rel_20_11_candidate, rel_21_05_candidate
Depends on: 20936
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-25 10:21 UTC by Barry Cannon
Modified: 2021-08-16 18:46 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.03,20.11.09


Attachments
Bug 28631: Holds History title link returns "not found" error (2.98 KB, patch)
2021-06-30 15:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28631: Holds History title link returns "not found" error (3.03 KB, patch)
2021-07-09 19:37 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 28631: Holds History title link returns "not found" error (3.12 KB, patch)
2021-07-16 06:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barry Cannon 2021-06-25 10:21:39 UTC
When a user is logged into the OPAC and OPACHoldsHistory is enabled a list of holds and old holds is displayed. If a user selects one of these titles a "not found" error is displayed.

opac-holdshistory.tt line 105:
<td><a href="/cgi-bin/koha/catalogue/detail.pl?biblionumber=[% hold.biblio.biblionumber | uri %]">[% INCLUDE 'biblio-title.inc' biblio=hold.biblio %]</a></td>

This is an intranet URL so the OPAC user will not have access. 

opac-holdshistory should be:
<td><a href="cgi-bin/koha/opac-detail.pl?biblionumber=[% hold.biblio.biblionumber | uri %]">[% INCLUDE 'biblio-title.inc' biblio=hold.biblio %]</a></td>
Comment 1 Owen Leonard 2021-06-30 15:50:55 UTC
Created attachment 122510 [details] [review]
Bug 28631: Holds History title link returns "not found" error

This patch corrects a broken path in the OPAC holds history page.

This patch also corrects the breadcrumb markup which didn't conform to
the new Bootstrap 4 pattern.

To test, apply the patch and log into the OPAC as a patron who has past
or current holds.

- View the "your holds history" page.
- Click a title link in the table of holds. It should take you to the
  correct bibliographic detail page.
- Check the breadcrumbs of the page. They should look consistent with
  breadcrumb navigation on other pages in the OPAC.
Comment 2 sandboxes@biblibre.com 2021-07-09 19:37:07 UTC
Created attachment 122755 [details] [review]
Bug 28631: Holds History title link returns "not found" error

This patch corrects a broken path in the OPAC holds history page.

This patch also corrects the breadcrumb markup which didn't conform to
the new Bootstrap 4 pattern.

To test, apply the patch and log into the OPAC as a patron who has past
or current holds.

- View the "your holds history" page.
- Click a title link in the table of holds. It should take you to the
  correct bibliographic detail page.
- Check the breadcrumbs of the page. They should look consistent with
  breadcrumb navigation on other pages in the OPAC.

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Comment 3 Marcel de Rooy 2021-07-16 06:28:36 UTC
Created attachment 122866 [details] [review]
Bug 28631: Holds History title link returns "not found" error

This patch corrects a broken path in the OPAC holds history page.

This patch also corrects the breadcrumb markup which didn't conform to
the new Bootstrap 4 pattern.

To test, apply the patch and log into the OPAC as a patron who has past
or current holds.

- View the "your holds history" page.
- Click a title link in the table of holds. It should take you to the
  correct bibliographic detail page.
- Check the breadcrumbs of the page. They should look consistent with
  breadcrumb navigation on other pages in the OPAC.

Signed-off-by: Kelly <kelly@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2021-07-26 09:24:21 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-07-30 13:22:34 UTC
Pushed to 21.05.x for 21.05.03
Comment 6 Fridolin Somers 2021-08-02 21:48:47 UTC
Pushed to 20.11.x for 20.11.09

> This patch also corrects the breadcrumb markup which didn't conform to the new Bootstrap 4 pattern.
I did not include this change, only fixed the href.
Comment 7 Victor Grousset/tuxayo 2021-08-16 18:46:35 UTC
Missing dependencies for 20.05.x, it shouldn't be affected, no backport.